Useful or not, from you.
playframework Play 2.8.2 AkkaHttpServe doesn't work with latest version of akka-http (10.2.0)

Using play 2.8.2 with the latest version of akka-http 10.2.0 I'm getting a class not found exception:

INFO play.api.Play Application started (Prod) (no global state) 
Exception in thread "main" java.lang.NoClassDefFoundError: akka/http/javadsl/UseHttp2
        at play.core.server.AkkaHttpServerProvider.createServer(AkkaHttpServer.scala:664)
        at play.core.server.AkkaHttpServerProvider.createServer(AkkaHttpServer.scala:662)
        at play.core.server.ServerProvider.createServer(ServerProvider.scala:29)
        at play.core.server.ServerProvider.createServer$(ServerProvider.scala:26)
        at play.core.server.AkkaHttpServerProvider.createServer(AkkaHttpServer.scala:662)
        at play.core.server.ProdServerStart$.start(ProdServerStart.scala:60)
        at play.core.server.ProdServerStart$.main(ProdServerStart.scala:30)
        at play.core.server.ProdServerStart.main(ProdServerStart.scala)
Caused by: java.lang.ClassNotFoundException: akka.http.javadsl.UseHttp2
        at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:602)
        at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
        at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
        ... 8 more

Thanks!

That's a useful answer
Without any help

@raboof Can you we close this issue now that #10427 was merged? (For some reason GitHub did not auto-close it...) Also I don't think we will upgrade akka-http to version 10.2.0 in the 2.8.x branch, but people should override the dependency themselves?